<?php

namespace Types;

class Fop_file_storage {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$values[$x] ?? $x;
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x] ?? $x;
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return $result;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values['files'] = _('fop-files/ in file system');
	self::$values['database'] = _('Database (file size limited to max_package_size ~2MB)');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort['files'] = _('fop-files/ in file system');
	self::$valuesShort['database'] = _('Database (file size limited to max_package_size ~2MB)');
	
    
  }


  
  

  
  
}

\Types\Fop_file_storage::initialize(); 

